Subject: Re: [PATCHv2] Teach --no-ff option to 'rebase -i'.

From: Peter Baumann <[email-masked]>
Date: Thu, 18 Mar 2010 09:03:31 +0100

On Thu, Mar 18, 2010 at 08:08:51AM +0100, Johannes Sixt wrote:
> Peter Baumann schrieb:
> > On Wed, Mar 17, 2010 at 05:07:53PM +0100, Johannes Sixt wrote:
> >> Peter Baumann schrieb:
> >>> On Wed, Mar 17, 2010 at 07:59:19AM +0100, Johannes Sixt wrote:
> >>>> If I were to re-merge topic into master a second time after this
> >>>> situation, I would install a temporary graft that removes the second
> >>>> parent of M and repeat the merge. After the graft is removed, the history
> >>>> would look like this:
> >>>>
> >>>>      B --- C --- D --------------.   [topic]
> >>>>    /              \               \
> >>>>   A ---  ...   --- M ... --- U ... N [master]
> >>>>
> >>>> Are there any downsides? I don't know - I haven't thought it through.
> >>>>
> >>> Might be. If there is any branch starting anywhere in between M and U
> >>> which also needs to merge [topic] will also cause you headaches :-)
> >>>
> >>>        B --- C --- D --------------.   [topic]
> >>>      /              \               \
> >>>     A ---  ...   --- M ... --- U ... N [master]
> >>>                          \
> >>>                           x --- y [side_branch wich needs to merge topic] 
> >> ?? I don't follow you. The side branch already contains the topic. What do
> >> you want to merge?
> >>
> > 
> > Won't it loose the revert 'U' after merging side_branch back to master?
> > 
> > Ah. Looking at the picture more closely, I could answer myself and say it would
> > only cause a huge mergeconflict, won't it?.
> 
> No. N and the merge-base of N and y are identical (wrt changes introduced
> by B,C,D). At least this part will not cause any conflicts.
> 

You are right. How could I missed that.

Thanks for the clarification.

--
Peter